Package com.google.android.exoplayer2.transformer

## Class ProgressHolder

- java.lang.Object
- - com.google.android.exoplayer2.transformer.ProgressHolder

-     public final class ProgressHolder
      extends Object

  Holds a progress percentage.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `progress` | The held progress, expressed as an integer percentage.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProgressHolder()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### progress

          @IntRange(from=0L,
                    to=100L)
          public int progress

      The held progress, expressed as an integer percentage.

  - ### Constructor Detail

    - #### ProgressHolder

          public ProgressHolder()